1

I am writing a VB.net console application that calls ArcGIS Desktop 10.1 ArcToolbox geoprocessing tools from my code. Some of these tools use Python syntax and I am encountering a problem that I suspect is caused by conflicting architectures. Is there a way to control which version of Python that ArcGIS uses?

  • System: 64 bit Windows 8.1
  • ArcGIS: 32 bit ArcGIS 10.1 Service Pack 1
  • Python: Both 32 and 64 bit versions installed (latter from ESRI's background processing download)
  • My App: 32 bit VB.net (not Any CPU) console application.
2

See this prior answer. Each version of ArcGIS uses a specific version and architecture of Python and is hard-linked against it. Forcing an ArcObjects application to use an incompatible Python version will likely lead to a crash.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.